Subject: Re: bug#43960:

From: zimoun <[email-masked]>
Date: Mon, 26 Oct 2020 16:06:51 +0100

Hi,

On Sun, 25 Oct 2020 at 23:33, Miguel Ángel Arruga Vivas <[email-masked]> wrote:

> I'm hitting this while testing some patches too.

Well, I do not know if it is related to the initial bug.

> [env]$ make check-system TESTS=encrypted-root-and-boot-os
> [...]
> successfully built /gnu/store/32qhcfz3amwq9zisqnagdvrlpl3lr82a-guix-system-tests-modules.drv
> building /gnu/store/dsq1i6hfhqnx25gsa5m00q9a7d1vshql-module-import-compiled.drv...
> [ 1/88] Loading './gnu/build/accounts.scm'...
> [ 2/88] Loading './gnu/build/file-systems.scm'...
> ;;; WARNING: loading compiled file /gnu/store/y1gzzlm1da2i5j60nws3iqrgnck6bhnn-guix-1.1.0-30.875c01f/lib/guile/3.0/site-ccache/guix/records.go failed:
> ;;; In procedure load-thunk-from-memory: incompatible bytecode version
> ;;; WARNING: loading compiled file /gnu/store/y1gzzlm1da2i5j60nws3iqrgnck6bhnn-guix-1.1.0-30.875c01f/lib/guile/3.0/site-ccache/guix/combinators.go failed:
> [...]
>
> It compiles the modules afterwards (my test fails too, but it shouldn't
> be related to this).
>
> How could I check what's happenning?

Sometimes, I have remarked that “guix environment -C guix” then
“./bootstrap && ./configure” and “make” plus some tweaks; days later, I
re-rerun “guix environment -C guix” and directly run some “make foo” and
there some “incompatible” happens.  Therefore, I re-run “./bootstrap &&
./configure”.  And « days later » means that I did “guix pull” between
the 2 “guix environment”.

I do not know.

All the best,
simon